Read the USDC Gateway deposit automations for a vault account
Returns the USDC Gateway deposit automations configured for the given vault account. Note: This endpoint is currently in beta and might be subject to changes. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.
GET
/
vault
/
accounts
/
{vaultAccountId}
/
virtual_asset_wallet
/
usdc_gateway
/
deposit_automation
TypeScript
const response: Promise<FireblocksResponse<GetAutomationSettingsResponse>> = fireblocks.vaults.getUsdcGatewayDepositAutomationBeta(vaultsApiGetUsdcGatewayDepositAutomationBetaRequest);CompletableFuture<ApiResponse<GetAutomationSettingsResponse>> response = fireblocks.vaults().getUsdcGatewayDepositAutomationBeta(vaultAccountId);response = fireblocks.vaults.get_usdc_gateway_deposit_automation_beta(vault_account_id);curl --request GET \
--url https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/virtual_asset_wallet/usdc_gateway/deposit_automationconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/virtual_asset_wallet/usdc_gateway/deposit_automation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"settings": [
{
"automationId": "b68a9e08-b59c-4ff9-893f-52d4f78c21e6",
"vaultAccountId": "42",
"assetId": "USDC_ETH",
"automationType": "USDC_GATEWAY_DEPOSIT",
"timeBased": {
"intervalValue": 60,
"intervalUnit": "MINUTES"
}
}
]
}{
"message": "<string>",
"code": 123
}Path Parameters
The ID of the vault account
Response
USDC Gateway deposit automations
The deposit automations configured for the vault account.
Show child attributes
Show child attributes
Example:
[
{
"automationId": "b68a9e08-b59c-4ff9-893f-52d4f78c21e6",
"vaultAccountId": "42",
"assetId": "USDC_ETH",
"automationType": "USDC_GATEWAY_DEPOSIT",
"timeBased": {
"intervalValue": 60,
"intervalUnit": "MINUTES"
}
}
]
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<GetAutomationSettingsResponse>> = fireblocks.vaults.getUsdcGatewayDepositAutomationBeta(vaultsApiGetUsdcGatewayDepositAutomationBetaRequest);CompletableFuture<ApiResponse<GetAutomationSettingsResponse>> response = fireblocks.vaults().getUsdcGatewayDepositAutomationBeta(vaultAccountId);response = fireblocks.vaults.get_usdc_gateway_deposit_automation_beta(vault_account_id);